html, body {
  margin: 0;
}

.flex-container {
  display: flex;
  width: 100vw;
  height: 100vh;
  
  gap: 10px;
  
  flex-wrap: wrap;
  
}

#box01 {
  background-color: red;
  width: calc(100% - 10px);
  height: calc(10% - 10px);
}

#box02 {
  background-color: blue;
  width: calc(10% - 10px);
  height: calc(80% - 10px);
}

#box03 {
  background-color: green;
  width: calc(90% - 10px);
  height: calc(80% - 10px);
}

#box04 {
  background-color: orange;
  width: calc(100% - 10px);
  height: calc(10% - 10px);
}